#pragma once

#include "FS.h"
#include "ArduinoJson.h"

class PAConfig {

    public:

      struct Gmail {
        String username;
        String password;
      };

      struct Weather {
        String woeid;
        String api;
        String appId;
        String consumerKey;
        String consumerSecret;
      };

      struct Time {
        String server;
        float timezone;
      };

      struct WiFi {
        String ssid;
        String password;
      };

      PAConfig();
      void load(File _config);
      void save(File _config);

      PAConfig::Gmail gmail;
      PAConfig::Weather weather;
      PAConfig::Time time;
      PAConfig::WiFi wifi;


};
